Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcblk_algo_ncar.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcblk_algo_ncar.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcblk_algo_ncar.F90	(revision 10321)
@@ -149,4 +149,6 @@
       Ch = 1.e-3*sqrt_Cd_n10*(18.*stab + 32.7*(1. - stab))
       stab = sqrt_Cd_n10   ! Temporaty array !!! stab == SQRT(Cd)
+ 
+      IF( ln_cdgw )   Cen = Ce  ; Chn = Ch
 
       !! Initializing values at z_u with z_t values:
@@ -186,5 +188,12 @@
          IF( ln_cdgw ) THEN      ! surface wave case
             stab = vkarmn / ( vkarmn / sqrt_Cd_n10 - ztmp2 )  ! (stab == SQRT(Cd))
-            Cd      = stab * stab
+            Cd   = stab * stab
+            ztmp0 = (LOG(zu/10.) - zpsi_h_u) / vkarmn / sqrt_Cd_n10
+            ztmp2 = stab / sqrt_Cd_n10   ! (stab == SQRT(Cd))
+            ztmp1 = 1. + Chn * ztmp0     
+            Ch    = Chn * ztmp2 / ztmp1  ! L&Y 2004 eq. (10b)
+            ztmp1 = 1. + Cen * ztmp0
+            Ce    = Cen * ztmp2 / ztmp1  ! L&Y 2004 eq. (10c)
+
          ELSE
             ! Update neutral wind speed at 10m and neutral Cd at 10m (L&Y 2004 eq. 9a)...
@@ -205,15 +214,15 @@
             Cd      = ztmp0 / ( ztmp1*ztmp1 )
             stab = SQRT( Cd ) ! Temporary array !!! (stab == SQRT(Cd))
-         ENDIF
-
-         ztmp0 = (LOG(zu/10.) - zpsi_h_u) / vkarmn / sqrt_Cd_n10
-         ztmp2 = stab / sqrt_Cd_n10   ! (stab == SQRT(Cd))
-         ztmp1 = 1. + Cx_n10*ztmp0    ! (Cx_n10 == Ch_n10)
-         Ch  = Cx_n10*ztmp2 / ztmp1   ! L&Y 2004 eq. (10b)
-
-         Cx_n10  = 1.e-3 * (34.6 * sqrt_Cd_n10)  ! L&Y 2004 eq. (6b)    ! Cx_n10 == Ce_n10
-         Cen(:,:) = Cx_n10
-         ztmp1 = 1. + Cx_n10*ztmp0
-         Ce  = Cx_n10*ztmp2 / ztmp1  ! L&Y 2004 eq. (10c)
+
+            ztmp0 = (LOG(zu/10.) - zpsi_h_u) / vkarmn / sqrt_Cd_n10
+            ztmp2 = stab / sqrt_Cd_n10   ! (stab == SQRT(Cd))
+            ztmp1 = 1. + Cx_n10*ztmp0    ! (Cx_n10 == Ch_n10)
+            Ch  = Cx_n10*ztmp2 / ztmp1   ! L&Y 2004 eq. (10b)
+
+            Cx_n10  = 1.e-3 * (34.6 * sqrt_Cd_n10)  ! L&Y 2004 eq. (6b)    ! Cx_n10 == Ce_n10
+            Cen(:,:) = Cx_n10
+            ztmp1 = 1. + Cx_n10*ztmp0
+            Ce  = Cx_n10*ztmp2 / ztmp1  ! L&Y 2004 eq. (10c)
+            ENDIF
          !
       END DO
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbccpl.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbccpl.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbccpl.F90	(revision 10321)
@@ -202,5 +202,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcdcy.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcdcy.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcdcy.F90	(revision 10321)
@@ -31,7 +31,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcflx.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcflx.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcflx.F90	(revision 10321)
@@ -40,7 +40,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcfwb.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcfwb.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcfwb.F90	(revision 10321)
@@ -44,5 +44,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcice_cice.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcice_cice.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcice_cice.F90	(revision 10321)
@@ -89,7 +89,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcice_if.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcice_if.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcice_if.F90	(revision 10321)
@@ -38,5 +38,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcisf.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcisf.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcisf.F90	(revision 10321)
@@ -71,5 +71,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcmod.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcmod.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcmod.F90	(revision 10321)
@@ -69,7 +69,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -157,7 +157,10 @@
          WRITE(numout,*) '               wave modified ocean stress component ln_tauw       = ', ln_tauw
          WRITE(numout,*) '               Stokes coriolis term                 ln_stcor      = ', ln_stcor
-         WRITE(numout,*) '               neutral drag coefficient (CORE, MFS) ln_cdgw       = ', ln_cdgw
-      ENDIF
-      !
+         WRITE(numout,*) '               neutral drag coefficient (CORE,NCAR) ln_cdgw       = ', ln_cdgw
+      ENDIF
+      !
+      IF( .NOT.ln_wave ) THEN
+         ln_sdw = .false. ; ln_cdgw = .false. ; ln_tauwoc = .false. ; ln_tauw = .false. ; ln_stcor = .false.
+      ENDIF 
       IF( ln_sdw ) THEN
          IF( .NOT.(nn_sdrift==jp_breivik_2014 .OR. nn_sdrift==jp_li_2017 .OR. nn_sdrift==jp_peakfr) ) &
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcrnf.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcrnf.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcrnf.F90	(revision 10321)
@@ -71,5 +71,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcssm.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcssm.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcssm.F90	(revision 10321)
@@ -34,5 +34,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcssr.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcssr.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcssr.F90	(revision 10321)
@@ -49,5 +49,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbctide.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbctide.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbctide.F90	(revision 10321)
@@ -35,5 +35,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcwave.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcwave.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/sbcwave.F90	(revision 10321)
@@ -74,7 +74,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/tide_mod.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/tide_mod.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/tide_mod.F90	(revision 10321)
@@ -34,7 +34,7 @@
 
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/tideini.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/tideini.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/tideini.F90	(revision 10321)
@@ -41,5 +41,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/updtide.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/updtide.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/SBC/updtide.F90	(revision 10321)
@@ -23,5 +23,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/stopar.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/stopar.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/stopar.F90	(revision 10321)
@@ -115,5 +115,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/stopts.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/stopts.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/stopts.F90	(revision 10321)
@@ -30,5 +30,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/storng.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/storng.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/STO/storng.F90	(revision 10321)
@@ -60,5 +60,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/eosbn2.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/eosbn2.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/eosbn2.F90	(revision 10321)
@@ -182,5 +182,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv.F90	(revision 10321)
@@ -71,5 +71,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_cen.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_cen.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_cen.F90	(revision 10321)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_fct.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_fct.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_fct.F90	(revision 10321)
@@ -48,5 +48,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_mus.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_mus.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_mus.F90	(revision 10321)
@@ -50,5 +50,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_qck.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_qck.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_qck.F90	(revision 10321)
@@ -43,5 +43,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_ubs.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_ubs.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traadv_ubs.F90	(revision 10321)
@@ -42,5 +42,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trabbc.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trabbc.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trabbc.F90	(revision 10321)
@@ -47,5 +47,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trabbl.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trabbl.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trabbl.F90	(revision 10321)
@@ -71,5 +71,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tradmp.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tradmp.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tradmp.F90	(revision 10321)
@@ -56,5 +56,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf.F90	(revision 10321)
@@ -43,5 +43,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_iso.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_iso.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_iso.F90	(revision 10321)
@@ -44,5 +44,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_lap_blp.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_lap_blp.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_lap_blp.F90	(revision 10321)
@@ -41,5 +41,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_triad.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_triad.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traldf_triad.F90	(revision 10321)
@@ -44,5 +44,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tramle.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tramle.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tramle.F90	(revision 10321)
@@ -52,5 +52,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -97,11 +97,13 @@
       !                                                ! compute from the 10m density to deal with the diurnal cycle
       inml_mle(:,:) = mbkt(:,:) + 1                    ! init. to number of ocean w-level (T-level + 1)
-      DO jk = jpkm1, nlb10, -1                         ! from the bottom to nlb10 (10m)
-         DO jj = 1, jpj
-            DO ji = 1, jpi                             ! index of the w-level at the ML based
-               IF( rhop(ji,jj,jk) > rhop(ji,jj,nla10) + rn_rho_c_mle )   inml_mle(ji,jj) = jk      ! Mixed layer
-            END DO
-         END DO
-      END DO
+      IF ( nla10 > 0 ) THEN                            ! avoid case where first level is thicker than 10m
+         DO jk = jpkm1, nlb10, -1                      ! from the bottom to nlb10 (10m)
+            DO jj = 1, jpj
+               DO ji = 1, jpi                          ! index of the w-level at the ML based
+                  IF( rhop(ji,jj,jk) > rhop(ji,jj,nla10) + rn_rho_c_mle )   inml_mle(ji,jj) = jk      ! Mixed layer
+               END DO
+            END DO
+         END DO
+      ENDIF
       ikmax = MIN( MAXVAL( inml_mle(:,:) ), jpkm1 )                  ! max level of the computation
       !
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tranpc.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tranpc.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tranpc.F90	(revision 10321)
@@ -38,5 +38,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tranxt.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tranxt.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/tranxt.F90	(revision 10321)
@@ -58,7 +58,7 @@
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
-   !! NEMO/OCE 4.0 , NEMO Consortium (2018) 
+   !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -291,5 +291,5 @@
          ztrd_atf(:,:,:,:) = 0.0_wp
       ENDIF
-      zfact = 1._wp / r2dt
+      zfact = 1._wp / p2dt
       zfact1 = atfp * p2dt
       zfact2 = zfact1 * r1_rau0
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traqsr.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traqsr.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/traqsr.F90	(revision 10321)
@@ -71,5 +71,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trasbc.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trasbc.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trasbc.F90	(revision 10321)
@@ -48,5 +48,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trazdf.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trazdf.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/trazdf.F90	(revision 10321)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/zpshde.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/zpshde.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRA/zpshde.F90	(revision 10321)
@@ -35,5 +35,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trd_oce.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trd_oce.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trd_oce.F90	(revision 10321)
@@ -78,5 +78,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!======================================================================
 END MODULE trd_oce
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trddyn.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trddyn.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trddyn.F90	(revision 10321)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trdglo.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trdglo.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trdglo.F90	(revision 10321)
@@ -55,5 +55,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trdini.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trdini.F90	(revision 10320)
+++ /NEMO/branches/UKMO/NEMO4_beta_mirror/src/OCE/TRD/trdini.F90	(revision 10321)
@@ -30,5 +30,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
